Previous: VIC20 memory configuration resources, Up: Changing memory configuration [Contents][Index]

#### 7.5.4.2 VIC20 memory configuration command-line options

`-memory <config>`

  Specify memory configuration. It must be a comma-separated list of options, each of which can be one the following:

  - `none` (no extension);
  - `all` (all blocks);
  - `3k` (3KiB space in block 0);
  - `8k` (first 8KiB extension block);
  - `16k` (first and second 8KiB extension blocks);
  - `24k` (first, second and 3rd extension blocks);
  - `0`, `1`, `2`, `3`, `5` (memory in respective blocks);
  - `04`, `20`, `40`, `60`, `A0` (memory at respective address.

  For example,

      xvic -memory none

  gives an unexpanded VIC20. While

      xvic -memory 60,a0

  or

      xvic -memory 3,5

  enables memory in blocks 3 and 5, which is the usual configuration for 16KiB ROM modules.